package ecs.tp09;

import java.io.IOException;
import java.io.PrintWriter;

import javax.json.Json;
import javax.json.JsonBuilderFactory;
import javax.json.JsonObject;
import javax.json.JsonObjectBuilder;
import javax.json.JsonValue;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;


//La classe du contrôleur
@WebServlet(urlPatterns = {"/GetTitleWSServlet/*" })
public class GetTitleWSServlet extends HttpServlet {

	private static final long serialVersionUID = 6489069438791307255L;


	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		try {
			
			
			MovieDB db = (MovieDB) request.getSession().getAttribute("db");
			if (db == null) {

				db = new MovieDB();
				request.getSession().setAttribute("db", db);
			}
			
			int id = 0;
			try {
				id = Integer.parseInt(request.getParameter("mid"));
			} catch (NumberFormatException e) {};
			
			String title = db.getTitle(id);
			
			JsonBuilderFactory factory = Json.createBuilderFactory(null);
			
			JsonObjectBuilder b = factory.createObjectBuilder();
			
			if (title == null) {
				b.add("status", "error");
			} else {
				b.add("status", "success");
				b.add("title", title);
			}
			JsonObject jobj = b.build();
			
			jobj = Json.createObjectBuilder()
					.add("nom", "Nguyễn")
					.add("prénom",  "Kim")
					.add("cours", Json.createArrayBuilder()
							      .add("POS")
							      .add("PAWA")
							      .add("LCD"))
					.add("full time", true)
					.add("age", 3.6e1)
					.add("hobby", JsonValue.NULL)
					.build();
			
			request.setAttribute("json", jobj);
			RequestDispatcher rd = request.getRequestDispatcher("/WEB-INF/jsp/json.jsp");
			rd.forward(request, response);
			
			
		} catch (Exception e) { throw new ServletException(e); }
		
	}


}

